Install and configure Gateway Service for NetWare

  • Install Gateway Service for NetWare
  • Set a preferred server
  • Set a default tree and context
  • Set print options


Install Gateway Service for NetWare

To install Gateway Service for NetWare

  1. Open Network and Dial-up Connections.
  2. Right-click a local area connection, and then click Properties.
  3. On the General tab, click Install.
  4. In the Select Network Component Type dialog box, click Client, and then click Add.
  5. In the Select Network Client dialog box, click Gateway (and Client) Services for NetWare, and then click OK.

Note

  • To open Network and Dial-up Connections, click Start, point to Settings, and then click Network and Dial-up Connections.
  • You must be a member of the Administrators group to install Gateway Service for NetWare.
  • When you install Gateway Service for NetWare, it is installed for all your connections. For connections that you do not want Gateway Service for NetWare installed, right-click that connection, click Properties and, on either the General or Networking tab, clear the Gateway (and Client) Services for NetWare check box.
  • To confirm that Gateway Service for NetWare is working properly, at a command prompt, type net view /network:nw. You should see a list of available NetWare servers.


Set a preferred server

To set a preferred server

  1. Open Gateway Service for NetWare.
  2. Click Preferred Server, and in Select Preferred Server, enter the preferred server.

Notes

  • To open Gateway Service for NetWare, click Start, point to Settings, click Control Panel, and then double-click GSNW. To use Gateway Service for NetWare, you must first install it.
  • You must be a member of the Administrators group to set a preferred server.
  • You should set a default tree and context only in an NDS environment; otherwise, you can set a preferred server.
  • If you do not want to set a preferred server, click None. You are then logged on to the nearest available NetWare server, and your interaction with the NetWare network is through that server. If you do not set a preferred server, you are prompted to set one each time you log on. You can set a preferred server at any time or continue to select None.

Related Topics


Set a default tree and context

To set a default tree and context

  1. Open Gateway Service for NetWare.
  2. Click Default Tree and Context, and in Tree and Context, type your tree and context.

Notes

  • To open Gateway Service for NetWare, click Start, point to Settings, click Control Panel, and then double-click GSNW. To use Gateway Service for NetWare, you must first install it.
  • You must be a member of the Administrators group to set a default tree and context.
  • You should set a default tree and context only in an NDS environment; otherwise, you can set a preferred server.


Set print options

To set print options

  1. Open Gateway Service for NetWare.
  2. Under Print Options, do one or more of the following:
    • To eject a page at the end of each document, select the Add Form Feed check box.
    • To receive notification when a document prints, select the Notify When Printed check box.
    • To print a banner page before each document, select the Print Banner check box.

Notes

  • To open Gateway Service for NetWare, click Start, point to Settings, click Control Panel, and then double-click GSNW. To use Gateway Service for NetWare, you must first install it.
  • You must be a member of the Administrators group to set print options.


Install and configure NWLink

  • Install NWLink
  • Configure NWLink
  • Enable direct hosting of IPX


Install NWLink

To install NWLink

  1. Open Network and Dial-up Connections.
  2. Right-click a local area connection, and then click Properties.
  3. On the General tab, click Install.
  4. In the Select Network Component Type dialog box, click Protocol, and then click Add.
  5. In the Select Network Protocol dialog box, click NWLink IPX/SPX/NetBIOS Compatible Transport Protocol, and then click OK.

Notes

  • To open Network and Dial-up Connections, click Start, point to Settings, and then click Network and Dial-up Connections.
  • You must be a member of the Administrators group to install NWLink.
  • When you install NWLink, it is installed for all your connections. If you do not want NWLink installed for a certain connection, right-click that connection, click Properties and, on either the General or Networking tab, clear the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol check box.
  • To confirm that NWLink is working properly, at a command prompt, type ipxroute config. You should see a table with information about the bindings for which NWLink is configured.


Configure NWLink

To configure NWLink

  1. Open Network and Dial-up Connections.
  2. Right-click a local area connection, and then click Properties.
  3. On the General tab, click NWLink IPX/SPX/NetBIOS Compatible Transport Protocol, and then click Properties.
  4. On the General tab, type a value for Internal Network Number, or leave this setting at the default value of 00000000.
  5. Do one of the following:
    • Click Auto frame type detection, and then click OK.
    • Click Manual frame type detection, and do the following:
      • Click Add.
      • In the Manual Frame Detection dialog box, in Frame type, click a frame type.
      • In Network number, type a network number, and then click Add.
      • Repeat these steps for each frame type you want to include, and then click OK.

Important

  • These instructions are for advanced users. New users should accept default values unless told otherwise by their network administrator.

Notes

  • To open Network and Dial-up Connections, click Start, point to Settings, and then click Network and Dial-up Connections.
  • To configure NWLink, you must first install the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol and be a member of the Administrators group.
  • Additional tunable parameters for NWLink are stored in the registry. In most situations, you should not need to modify the defaults. You should use this procedure only if you want to bind NWLink to a different network adapter or to manually change the frame type.
  • By default, NWLink automatically detects the frame type used by the network adapter to which it is bound. If NWLink detects no network traffic or if multiple frame types are detected in addition to the 802.2 frame type, NWLink sets the frame type to 802.2.

    You can determine which external network number, frame type, and internal network number your routers are using by typing ipxroute config at a command prompt.


Enable direct hosting of IPX

To enable direct hosting of IPX

  1. Open Network and Dial-up Connections.
  2. Right-click a local area connection, and then click Properties.
  3. On the General tab, click Install.
  4. In the Select Network Component Type dialog box, click Protocol, and then click Add.
  5. In the Select Network Protocol dialog box, click NWLink IPX/SPX/NetBIOS Compatible Transport Protocol, and then click OK.
  6. In the list of installed components, clear the NWLink NetBIOS check box.

Notes

  • To open Network and Dial-up Connections, click Start, point to Settings, and then click Network and Dial-up Connections.
  • To enable direct hosting of IPX, you must first install the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol (NWLink).
  • You must be a member of the Administrators group to enable direct hosting of IPX.
  • When you clear the NWLink NetBIOS check box, the component is disabled for all IPX interfaces. However, you can clear the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol check box on a per-interface basis.


Use NetWare resources

  • Connect to a NetWare volume by using My Network Places
  • Connect to a printer attached to a NetWare server by using the Add Printer wizard
  • Connect to a printer attached to a NetWare server by using a command prompt
  • Connect to NetWare file resources by using a command prompt
  • View NetWare file resources by using a command prompt
  • View current network connections by using a command prompt
  • Change your password on a NetWare bindery server
  • Change your password on a NetWare NDS tree


Connect to a NetWare volume by using My Network Places

To connect to a NetWare volume by using My Network Places

  1. On the desktop, double-click My Network Places.
  2. Do one of the following:
    • Double-click NetWare or Compatible Network.
    • Double-click Entire Network, view the entire contents, and then double-click NetWare or Compatible Network.

    NDS trees (with a tree icon) and individual NetWare computers (with a computer icon) are displayed.

  3. Double-click a tree or volume to see the contents. You can then double-click those contents to see other computers or volumes.
  4. Do one of the following:
    • When you find the volume or folder that you want to access, double-click the volume or folder to expand it.
    • To map a local drive to the volume or folder, click the volume or folder, and on the Tools menu, click Map Network Drive.

      Follow the instructions in the Map Network Drive wizard.

Note

  • When you map a network drive, you are connected by default under the user name and password you used to log on. To connect under a different user name, follow the instructions in the Map Network Drive wizard.
  • To view or connect to NetWare resources, you must first install Client Service for NetWare or Gateway Service for NetWare, and the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.


Connect to a printer attached to a NetWare server by using the Add Printer wizard

To connect to a printer attached to a NetWare server by using the Add Printer wizard

  1. Open Printers.
  2. Double-click Add Printer, and then click Next.
  3. Click Network printer, and then click Next.
  4. In Name, type the name of a printer in the following format:

    5. \\servername\sharename

    Or, to find the NetWare printer, click Next.

  5. Follow the remaining instructions in the Add Printer wizard.

    6. The icon for the printer appears in your Printers folder.

Notes

  • To open Printers, click Start, point to Settings, and then click Printers.
  • To view or connect to NetWare resources, you must first install Client Service for NetWare or Gateway Service for NetWare, and the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.
  • You are prompted to install a printer driver if one is not available locally for a NetWare printer.
  • If you are logged on to a Directory server, you can locate printers by clicking Find a printer in the Directory in step 4. For more information, see Related Topics.


Connect to a printer attached to a NetWare server by using a command prompt

To connect to a printer attached to a NetWare server by using a command prompt

  1. Open Command Prompt.
  2. When you run any application that writes directly to a predefined port, the net use command works like the NetWare capture utility, associating the NetWare print queue with the port.

    3. To redirect output from a port to a print queue

    • At the command prompt, use the net use command followed by the server name and print queue.

      For example, net use lpt1 \\nw4\memos redirects output from LPT1 to the NetWare print queue called Memos on the server Nw4. This is equivalent to the NetWare capture q=memos s=nw4 l=1 command line.

    To send files that do not require formatting to LPT1

    • After you redirect output with net use, use the copy command. For example:

      copy myfile.txt lpt1

    To copy a file directly to a print queue

    • After you redirect output with net use, use the copy command. For example:

      copy myfile.txt \\nw4\memos

    To connect to a printer in an NDS tree

    • At the command prompt, type:

      net use drive: \\treename\printer.OrgName.OrgName [/u:UserName.OrgName.OrgName [password]]

      • where:

      • treename is the name of the tree printer.
      • OrgName is the tree location to which you want to connect.
      • UserName.OrgName.OrgName is the user name and context for this tree (unless it is your default tree).

Notes

  • To open Command Prompt, click Start, point to Programs, point to Accessories, and then click Command Prompt.
  • To view or connect to NetWare resources, you must first install Client Service for NetWare or Gateway Service for NetWare, and the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.
  • You can type the path to an NDS resource with or without labels (cn=, ou=, o=).
  • If you are running Client Service for NetWare and use a command prompt, you should use the 32-bit version (Cmd.exe), which is available on the Programs menu, not the 16-bit version (Command.com).


Connect to NetWare file resources by using a command prompt

To connect to NetWare file resources by using a command prompt

  1. Open Command Prompt.
  2. When you connect to NetWare file servers, the net use command is equivalent to the NetWare map command on MS-DOS-based NetWare workstations.

    3. To connect to an individual NetWare volume

    • At the command prompt, type:

      net use drive: UNCname|NetWarename

      For example, to use UNC naming syntax to redirect drive G to the \Data\Mydata directory of the Thor volume on a server called Nw4, type:

      net use G: \\nw4\thor\data\mydata

      The message: "The password is invalid for \\server name\volume name[\directory name...]" indicates that your user name and password are not authenticated.

    To connect with a valid user name and password

    • At the command prompt, add your user name and password to the command line by typing:

      /user: username password

      For example, to use drive G to connect as Annie with the password Marshmallow to the \Data\Mydata directory within the Thor volume on a server called Nw4, type:

      net use G: \\nw4\thor\data\mydata /user:annie marshmallow

    To connect to an NDS tree

    • At the command prompt, type:

      net use drive: \\treename\volume.OrgName.OrgName [/u:UserName.OrgName.OrgName [password]]

      • where:

      • treename is the name of the tree volume.
      • OrgName is the tree location to which you want to connect.
      • UserName.OrgName.OrgName is the user name and context for this tree (unless it is your default tree).

Notes

  • To open Command Prompt, click Start, point to Programs, point to Accessories, and then click Command Prompt.
  • To view or connect to NetWare resources, you must first install Client Service for NetWare or Gateway Service for NetWare, and the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.
  • You can connect to individual NetWare volumes that use bindery-style security and to NDS trees. NetWare server volumes, directories, and print queues are represented by universal naming convention (UNC) names and use the same command syntax as Windows-based networks.
  • You can type the path to an NDS resource with or without labels (cn=, ou=, o=).
  • When you use a command prompt to connect to NetWare file resources, you can use the next available drive letter by replacing the drive letter with an asterisk (*) in the syntax. For example:

    net use *: UNCname or NetWarename

  • If you want to be prompted for a password, you can replace the password in the command line with an asterisk (*). When you type your password at the prompt, it does not appear on screen.
  • If you are running Client Service for NetWare and use a command prompt, you should use the 32-bit version (Cmd.exe), which is available on the Programs menu, not the 16-bit version (Command.com).


View NetWare file resources by using a command prompt

To view NetWare file resources by using a command prompt

  1. Open Command Prompt.
  2. You can use the net view command to perform the same function as the NetWare slist utility. You can also use the net view command to view NetWare file resources.

    3. To display a list of NetWare file servers

    • At the command prompt, type:

      net view /network:nw

    To display volumes on a specific NetWare file server

    • At the command prompt, type:

      net view \\nwservername /network:nw

      For example, to view the volumes on the NetWare server Nw4, type:

      net view \\nw4 /network:nw

    To display the contents of a directory on a NetWare file server running bindery security

    • At the command prompt, type:

      dir \\directorypath

    To display the contents of a directory on a NetWare file server running NDS

    • You must put the directory path in quotation marks. At the command prompt, type:

      dir "\\NDStree\volume.unit.group"

Notes

  • To open Command Prompt, click Start, point to Programs, point to Accessories, and then click Command Prompt.
  • To view or connect to NetWare resources, you must first install Client Service for NetWare or Gateway Service for NetWare, and the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.
  • You can type the path to an NDS resource with or without labels (cn=, ou=, o=).
  • If you are running Client Service for NetWare and use a command prompt, you should use the 32-bit version (Cmd.exe), which is available on the Programs menu, not the 16-bit version (Command.com).


View current network connections by using a command prompt

To view current network connections by using a command prompt

  1. Open Command Prompt.
  2. Type net use, and then press ENTER.

Notes

  • To open Command Prompt, click Start, point to Programs, point to Accessories, and then click Command Prompt.
  • To view or connect to NetWare resources, you must first install Client Service for NetWare or Gateway Service for NetWare, and the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.
  • If you are running Client Service for NetWare and use a command prompt, you should use the 32-bit version (Cmd.exe), which is available on the Programs menu, not the 16-bit version (Command.com).


Change your password on a NetWare bindery server

To change your password on a NetWare bindery server

  1. Open Command Prompt.
  2. Change to the drive for the NetWare server, and then type cd \public.
  3. Type setpass, followed by the name of the NetWare server for which you want to change your password.
  4. When prompted for each, type your old password, a new password, and the new password again.

    A message confirms that you have successfully changed your password.

  5. If prompted, type y and press ENTER to change your password on other NetWare servers that also use your old password.

    6. Or, to leave your old password unchanged on the other NetWare servers, type n and press ENTER.

Notes

  • To open Command Prompt, click Start, point to Programs, point to Accessories, and then click Command Prompt.
  • To view or connect to NetWare resources, you must first install Client Service for NetWare or Gateway Service for NetWare, and the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.
  • To change your password on more than one server, connect to all the servers before typing setpass.
  • If your network runs Directory Service Manager for NetWare, your password on NetWare servers that participate in the Windows 2000 Server domain automatically changes whenever you press CTRL+ALT+DELETE to change your password on the Windows 2000 Server domain.
  • If you are running Client Service for NetWare and use a command prompt, you should use the 32-bit version (Cmd.exe), which is available on the Programs menu, not the 16-bit version (Command.com).


Change your password on a NetWare NDS tree

To change your password on a NetWare NDS tree

  1. Press CTRL+ALT+DELETE.
  2. Click Change Password.
  3. In Log on to, click NetWare or Compatible Network.
  4. In Old Password, type your current password.
  5. In New Password, type your new password and, in Confirm New Password, type your new password again.

Note

  • Your password changes on all NDS trees to which you are currently connected. If the old password you specify does not match your current password on any of those trees, you are prompted to supply the old password for those trees.
  • To view or connect to NetWare resources, you must first install Client Service for NetWare or Gateway Service for NetWare, and the NWLink IPX/SPX/NetBIOS Compatible Transport Protocol.


Use a computer running Windows 2000 Server as a NetWare gateway

  • Enable a gateway on the server
  • Set permissions for a gateway share to a NetWare resource
  • Activate a gateway to a NetWare file resource
  • Activate a gateway to a NetWare printer


Enable a gateway on the server

To enable a gateway on the server

  1. Open Gateway Service for NetWare.
  2. Click Gateway, and then select the Enable Gateway check box.
  3. In Gateway Account, type the name of your gateway account.
  4. In Password and Confirm Password, type the password for the gateway account.

    5. You can now share NetWare file and printing resources over a Microsoft network.

Notes

  • To open Gateway Service for NetWare, click Start, point to Settings, click Control Panel, and then double-click GSNW. To use Gateway Service for NetWare, you must first install it.
  • You must be a member of the Administrators group to enable a gateway on the server.
  • All access to NetWare resources is in the context of the gateway account.
  • You can create gateways only to NetWare servers that recognize the user account specified in Gateway Account and that have an NTGATEWAY group containing the gateway account. To create a gateway to an NDS volume, the volume must be in the same container as the NTGATEWAY group and the gateway account must be a member of the NTGATEWAY group in that container. Access to NetWare resources is subject to trustee rights for both the gateway user account and the NTGATEWAY group.


Set permissions for a gateway share to a NetWare resource

To set permissions for a gateway share to a NetWare resource

  1. Open Gateway Service for NetWare.
  2. Click Gateway.
  3. Click the share for which you want to set permissions, and then click Permissions
    4. .
  4. To remove a user or group, click the user or group in the list of authorized users, and then click Remove
    5. .
  5. To modify permissions for a user or group, click the user or group, and then click the permission in Type of Access.
  6. To add a user or group to the list of authorized users, do the following:
    • Click Add.
    • In Names, click the group or user, and then click Add.

    • In Type of Access, click the permission for this user or group.

Notes

  • To open Gateway Service for NetWare, click Start, point to Settings, click Control Panel, and then double-click GSNW. To use Gateway Service for NetWare, you must first install it.
  • You must be a member of the Administrators group to set permissions.


Activate a gateway to a NetWare file resource

To activate a gateway to a NetWare file resource

  1. Open Gateway Service for NetWare.
  2. Click Gateway, and then select the Enable Gateway check box.
  3. Click Add, and in Share Name, type a share name that Microsoft clients will use to access the NetWare resource.
  4. In Network Path, type the network path of the NetWare volume or directory you want to share.
  5. In Use Drive, enter the default drive you want to use, if necessary.
  6. Click Unlimited, and then click OK.

    7. Or, click Allow, enter a maximum number of concurrent users, and then click OK.

Notes

  • To open Gateway Service for NetWare, click Start, point to Settings, click Control Panel, and then double-click GSNW. To use Gateway Service for NetWare, you must first install it.
  • You must be a member of the Administrators group to activate a gateway to a NetWare file resource.
  • Before you can activate a gateway, you must have enabled gateways on the server.
  • You can create gateways only to NetWare servers that recognize the user account specified in Gateway Account and that have an NTGATEWAY group containing the gateway account. To create a gateway to an NDS volume, the volume must be in the same container as the NTGATEWAY group and the gateway account must be a member of the NTGATEWAY group in that container.
  • To control user access to the NetWare volume through the gateway, click Permissions.


Activate a gateway to a NetWare printer

To activate a gateway to a NetWare printer

  1. Open Printers.
  2. Click Add Printer, and then click Next.
  3. Click Network printer, and then click Next.
  4. In Name, type the name of a printer in the following format:

    5. \\servername\sharename

    Or, to find the NetWare printer in Shared printers, click Next.

    If necessary, double-click NDS tree names and NetWare server names until you find the printer you want.

  5. Follow the remaining instructions in the Add Printer wizard to finish connecting to the NetWare printer.

    6. The icon for that printer appears in the Printers folder.

  6. Click the printer you just created and, on the File menu, click Properties.
  7. On the Sharing tab, click Shared, and in Shared as, type a name for the printer.

Notes

  • To open Printers, click Start, point to Settings, and then click Printers.
  • You must be a member of the Administrators group to activate a gateway to a NetWare printer.
  • Before creating a gateway to a NetWare printer, you must install Gateway Service for NetWare and enable gateways on the server. In addition, to create a print gateway to a printer on a NetWare server computer running NDS, you must also create a file gateway to a file share on the same computer.
  • The user account specified as the gateway user (in Gateway Service for NetWare) must exist on the server where the printer resides and must be a member of the NTGATEWAY group on that server.
  • You can set permissions for the gateway by right-clicking that printer in the Printers window, clicking Properties, and then clicking the Security tab.